Delete a folder
DELETE
/api/content/management/folders/{configId}/{folderId}
const url = 'https://example.com/api/content/management/folders/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/content/management/folders/example/example \ --header 'Authorization: Bearer <token>'Deletes a folder. Use removeAssets query param to also delete contained items.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
Repository configuration ID
string
folderId
required
Folder ID
string
Query Parameters
Section titled “Query Parameters”removeAssets
If ‘true’, also delete items in the folder
string
Responses
Section titled “Responses”Folder deleted successfully
Invalid request